<?php
$tdatadocument_status = array();
$tdatadocument_status[".searchableFields"] = array();
$tdatadocument_status[".ShortName"] = "document_status";
$tdatadocument_status[".OwnerID"] = "";
$tdatadocument_status[".OriginalTable"] = "document_status";


$tdatadocument_status[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatadocument_status[".originalPagesByType"] = $tdatadocument_status[".pagesByType"];
$tdatadocument_status[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatadocument_status[".originalPages"] = $tdatadocument_status[".pages"];
$tdatadocument_status[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatadocument_status[".originalDefaultPages"] = $tdatadocument_status[".defaultPages"];

//	field labels
$fieldLabelsdocument_status = array();
$fieldToolTipsdocument_status = array();
$pageTitlesdocument_status = array();
$placeHoldersdocument_status = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsdocument_status["English"] = array();
	$fieldToolTipsdocument_status["English"] = array();
	$placeHoldersdocument_status["English"] = array();
	$pageTitlesdocument_status["English"] = array();
	$fieldLabelsdocument_status["English"]["dstatusID"] = "Dstatus ID";
	$fieldToolTipsdocument_status["English"]["dstatusID"] = "";
	$placeHoldersdocument_status["English"]["dstatusID"] = "";
	$fieldLabelsdocument_status["English"]["DocumentStatusName"] = "Document Status Name";
	$fieldToolTipsdocument_status["English"]["DocumentStatusName"] = "";
	$placeHoldersdocument_status["English"]["DocumentStatusName"] = "";
	if (count($fieldToolTipsdocument_status["English"]))
		$tdatadocument_status[".isUseToolTips"] = true;
}


	$tdatadocument_status[".NCSearch"] = true;



$tdatadocument_status[".shortTableName"] = "document_status";
$tdatadocument_status[".nSecOptions"] = 0;

$tdatadocument_status[".mainTableOwnerID"] = "";
$tdatadocument_status[".entityType"] = 0;
$tdatadocument_status[".connId"] = "eflejob_at_localhost";


$tdatadocument_status[".strOriginalTableName"] = "document_status";

	



$tdatadocument_status[".showAddInPopup"] = false;

$tdatadocument_status[".showEditInPopup"] = false;

$tdatadocument_status[".showViewInPopup"] = false;

	$tdatadocument_status[".listAjax"] = true;
//	temporary
//$tdatadocument_status[".listAjax"] = false;

	$tdatadocument_status[".audit"] = false;

	$tdatadocument_status[".locking"] = false;


$pages = $tdatadocument_status[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadocument_status[".edit"] = true;
	$tdatadocument_status[".afterEditAction"] = 1;
	$tdatadocument_status[".closePopupAfterEdit"] = 1;
	$tdatadocument_status[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadocument_status[".add"] = true;
$tdatadocument_status[".afterAddAction"] = 1;
$tdatadocument_status[".closePopupAfterAdd"] = 1;
$tdatadocument_status[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadocument_status[".list"] = true;
}



$tdatadocument_status[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadocument_status[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadocument_status[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadocument_status[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadocument_status[".printFriendly"] = true;
}



$tdatadocument_status[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadocument_status[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadocument_status[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadocument_status[".isUseAjaxSuggest"] = true;



			

$tdatadocument_status[".ajaxCodeSnippetAdded"] = false;

$tdatadocument_status[".buttonsAdded"] = false;

$tdatadocument_status[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadocument_status[".isUseTimeForSearch"] = false;


$tdatadocument_status[".badgeColor"] = "CD5C5C";


$tdatadocument_status[".allSearchFields"] = array();
$tdatadocument_status[".filterFields"] = array();
$tdatadocument_status[".requiredSearchFields"] = array();

$tdatadocument_status[".googleLikeFields"] = array();
$tdatadocument_status[".googleLikeFields"][] = "dstatusID";
$tdatadocument_status[".googleLikeFields"][] = "DocumentStatusName";



$tdatadocument_status[".tableType"] = "list";

$tdatadocument_status[".printerPageOrientation"] = 0;
$tdatadocument_status[".nPrinterPageScale"] = 100;

$tdatadocument_status[".nPrinterSplitRecords"] = 40;

$tdatadocument_status[".geocodingEnabled"] = false;










$tdatadocument_status[".pageSize"] = 20;

$tdatadocument_status[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatadocument_status[".strOrderBy"] = $tstrOrderBy;

$tdatadocument_status[".orderindexes"] = array();


$tdatadocument_status[".sqlHead"] = "SELECT dstatusID,  	DocumentStatusName";
$tdatadocument_status[".sqlFrom"] = "FROM document_status";
$tdatadocument_status[".sqlWhereExpr"] = "";
$tdatadocument_status[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadocument_status[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadocument_status[".arrGroupsPerPage"] = $arrGPP;

$tdatadocument_status[".highlightSearchResults"] = true;

$tableKeysdocument_status = array();
$tableKeysdocument_status[] = "dstatusID";
$tdatadocument_status[".Keys"] = $tableKeysdocument_status;


$tdatadocument_status[".hideMobileList"] = array();




//	dstatusID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "dstatusID";
	$fdata["GoodName"] = "dstatusID";
	$fdata["ownerTable"] = "document_status";
	$fdata["Label"] = GetFieldLabel("document_status","dstatusID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "dstatusID";

		$fdata["sourceSingle"] = "dstatusID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dstatusID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocument_status["dstatusID"] = $fdata;
		$tdatadocument_status[".searchableFields"][] = "dstatusID";
//	DocumentStatusName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "DocumentStatusName";
	$fdata["GoodName"] = "DocumentStatusName";
	$fdata["ownerTable"] = "document_status";
	$fdata["Label"] = GetFieldLabel("document_status","DocumentStatusName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "DocumentStatusName";

		$fdata["sourceSingle"] = "DocumentStatusName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "DocumentStatusName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocument_status["DocumentStatusName"] = $fdata;
		$tdatadocument_status[".searchableFields"][] = "DocumentStatusName";


$tables_data["document_status"]=&$tdatadocument_status;
$field_labels["document_status"] = &$fieldLabelsdocument_status;
$fieldToolTips["document_status"] = &$fieldToolTipsdocument_status;
$placeHolders["document_status"] = &$placeHoldersdocument_status;
$page_titles["document_status"] = &$pageTitlesdocument_status;


changeTextControlsToDate( "document_status" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["document_status"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["document_status"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_document_status()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "dstatusID,  	DocumentStatusName";
$proto0["m_strFrom"] = "FROM document_status";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "dstatusID",
	"m_strTable" => "document_status",
	"m_srcTableName" => "document_status"
));

$proto6["m_sql"] = "dstatusID";
$proto6["m_srcTableName"] = "document_status";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "DocumentStatusName",
	"m_strTable" => "document_status",
	"m_srcTableName" => "document_status"
));

$proto8["m_sql"] = "DocumentStatusName";
$proto8["m_srcTableName"] = "document_status";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "document_status";
$proto11["m_srcTableName"] = "document_status";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "dstatusID";
$proto11["m_columns"][] = "DocumentStatusName";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "document_status";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "document_status";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="document_status";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_document_status = createSqlQuery_document_status();


	
		;

		

$tdatadocument_status[".sqlquery"] = $queryData_document_status;



$tdatadocument_status[".hasEvents"] = false;

?>